/**
 * 
 */
package de.hwrBerlin.ameisenproblem.databeans;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Nico Smeenk
 * 
 */
public class Ant {
    /** Weg */
    private List<Coordinate> _way = new ArrayList<Coordinate>();
    
    

    /**
     * gibt den weg zurck
     * 
     * @return
     */
    public List<Coordinate> getWay() {
        return _way;
    }
    


    /**
     * Fgt einen neuen punkt hinzu
     * 
     * @param pCoordinate
     */
    public void addCoordinateToWay(Coordinate pCoordinate) {
        _way.add(pCoordinate);
    }
    


    /**
     * lscht den WEG
     */
    public void removeWay() {
        _way = new ArrayList<Coordinate>();
    }
    
    
    /**
     * gibt die letzte Stadt zurck
     */
    public Coordinate getLastCity() {
        return _way.get(_way.size() - 1);
    }
}
