/**
 * 
 */
package de.hwrBerlin.ameisenproblem.view;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/**
 * @author Nico Smeenk
 * 
 *         Dialog mit Version, Autoren etc.
 */
public class AboutDialog extends Composite {
    
    /**
     * @param pParent
     * @param pStyle
     */
    public AboutDialog(Composite pParent, int pStyle) {
        super(pParent, pStyle);
        GridLayout gridLayout = new GridLayout(1, true);
        gridLayout.marginHeight = 5;
        gridLayout.marginWidth = 5;
        setLayout(gridLayout);
        
        Label versionLabel = new Label(this, SWT.NONE);
        versionLabel.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, true, true));
        versionLabel.setText("Version: " + Constants.VERSION);
        
        Label logoLabel = new Label(this, SWT.NONE);
        logoLabel.setImage(new Image(getDisplay(), Constants.LOGO));
        
        Label developerLabel = new Label(this, SWT.NONE);
        developerLabel.setText("Entwickler: ");
        
        for (String developer : Constants.DEVELOPER_LIST) {
            Label singledeveloperLabel = new Label(this, SWT.NONE);
            singledeveloperLabel.setText("   " + developer);
        }
    }
    
}
