package de.hwrBerlin.ameisenproblem.databeans;

/**
 * 
 * @author Nico Smeenk
 * 
 */
public class Transition {
    
    /** Coordinate 1 */
    private Coordinate _coordinate1;
    /** Coordinate 2 */
    private Coordinate _coordinate2;
    
    

    /**
     * Konstruktor
     */
    public Transition(Coordinate pCoordinate1, Coordinate pCoordinate2) {
        _coordinate1 = pCoordinate1;
        _coordinate2 = pCoordinate2;
    }
    


    /**
     * @return the coordinate1
     */
    public Coordinate getCoordinate1() {
        return _coordinate1;
    }
    


    /**
     * @param pCoordinate1
     *            the coordinate1 to set
     */
    public void setCoordinate1(Coordinate pCoordinate1) {
        _coordinate1 = pCoordinate1;
    }
    


    /**
     * @return the coordinate2
     */
    public Coordinate getCoordinate2() {
        return _coordinate2;
    }
    


    /**
     * @param pCoordinate2
     *            the coordinate2 to set
     */
    public void setCoordinate2(Coordinate pCoordinate2) {
        _coordinate2 = pCoordinate2;
    }
    


    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((_coordinate1 == null) ? 0 : _coordinate1.hashCode());
        result = result + ((_coordinate2 == null) ? 0 : _coordinate2.hashCode());
        return result;
    }
    


    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (!(obj instanceof Transition)) {
            return false;
        }
        Transition other = (Transition) obj;
        if (_coordinate1 == other._coordinate1) {
            if (_coordinate2 == other._coordinate2) {
                return true;
            }
        }
        if (_coordinate1 == other._coordinate2) {
            if (_coordinate2 == other._coordinate1) {
                return true;
            }
        }
        return false;
    }
    
}