/**
 * 
 */
package de.hwrBerlin.ameisenproblem.exceptionhandling;

/**
 * @author Nico Smeenk
 * 
 */
public class ShowableException extends RuntimeException {
    
    /** ID */
    private static final long serialVersionUID = 7348215287439078608L;
    
    /** Titel mitgeben */
    private String _title = "Fehler"; // defaultwert
    
    /** mitgegebene Nachricht */
    private String _message = "";
    
    

    /**
     * @return the title
     */
    public String getTitle() {
        return _title;
    }
    


    /**
     * @param pTitle
     *            the title to set
     */
    public void setTitle(String pTitle) {
        _title = pTitle;
    }
    


    /**
     * @return the message
     */
    @Override
    public String getMessage() {
        return _message;
    }
    


    /**
     * @param pMessage
     *            the message to set
     */
    public void setMessage(String pMessage) {
        _message = pMessage;
    }
    
}
